package com.sjyt.icom.asst.common.model.room;

import com.sjyt.icom.asst.common.model.message.News;
import io.netty.channel.ChannelId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.experimental.SuperBuilder;
import org.yeauty.pojo.Session;

/**
 * <p>TODO</p>
 *
 * @author renyanru
 * @version V1.0.0
 * @date 2022/7/1 9:12
 */
@Data
@AllArgsConstructor
@SuperBuilder(toBuilder = true)
public abstract class AbsClient {
    protected Session session;
    protected String uid;

    public abstract void send(News news);
    public abstract void receive(News news);

    public  ChannelId getClientId(){
        return session.id();
    };
}
